Package org.apache.sling.hamcrest

## Class ResourceIteratorMatchers

- java.lang.Object
- - org.apache.sling.hamcrest.ResourceIteratorMatchers

    public final class ResourceIteratorMatchers
    extends Object

A collection of `Matcher`s for resource iterators.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.hamcrest.Matcher<Iterator<org.apache.sling.api.resource.Resource>>` `paths​(String... paths)` Asserts that the given resource collection has resources with exactly the given paths in the given order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### paths

    public static org.hamcrest.Matcher<Iterator<org.apache.sling.api.resource.Resource>> paths​(String... paths)

Asserts that the given resource collection has resources with exactly the given paths in the given order.

Parameters:
  `paths` - the expected resource paths
Returns:
  a matcher instance